## org.eclipse.datatools.sqltools.routineeditor.ui.launching
Class SPLaunchShortcut.SPLaunchListener

    java.lang.Object
      org.eclipse.datatools.sqltools.routineeditor.ui.launching.SPLaunchShortcut.SPLaunchListener

All Implemented Interfaces:
  org.eclipse.debug.core.ILaunchListener

Enclosing class:
  SPLaunchShortcut

    public static class SPLaunchShortcut.SPLaunchListener

extends java.lang.Object
implements org.eclipse.debug.core.ILaunchListener

Constructor Summary
`SPLaunchShortcut.SPLaunchListener(org.eclipse.debug.core.ILaunchConfiguration config)`

Method Summary
`void` `launchAdded(org.eclipse.debug.core.ILaunch launch)`
`void` `launchChanged(org.eclipse.debug.core.ILaunch launch)`
`void` `launchRemoved(org.eclipse.debug.core.ILaunch launch)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPLaunchShortcut.SPLaunchListener

    public SPLaunchShortcut.SPLaunchListener(org.eclipse.debug.core.ILaunchConfiguration config)

Method Detail

### launchAdded

    public void launchAdded(org.eclipse.debug.core.ILaunch launch)

  Specified by:
    `launchAdded` in interface `org.eclipse.debug.core.ILaunchListener`

### launchChanged

    public void launchChanged(org.eclipse.debug.core.ILaunch launch)

  Specified by:
    `launchChanged` in interface `org.eclipse.debug.core.ILaunchListener`

### launchRemoved

    public void launchRemoved(org.eclipse.debug.core.ILaunch launch)

  Specified by:
    `launchRemoved` in interface `org.eclipse.debug.core.ILaunchListener`